## org.eclipse.emf.codegen.ecore.genmodel
Interface GenOperation

All Superinterfaces:
  EObject, GenBase, GenTypedElement, Notifier

All Known Implementing Classes:
  GenOperationImpl

    public interface GenOperation

extends GenTypedElement

A representation of the model object 'Gen Operation'.

The following features are supported:

- `Gen Class`
- `Ecore Operation`
- `Gen Parameters`
- `Gen Type Parameters`

See Also:
  `GenModelPackage.getGenOperation()`

Method Summary
`java.lang.String` `getBody(java.lang.String indentation)`
`java.lang.String` `getCapName()`
`EOperation` `getEcoreOperation()` Returns the value of the 'Ecore Operation' reference
`java.lang.String` `getFormattedName()`
`GenClass` `getGenClass()` Returns the value of the 'Gen Class' container reference.
`java.util.List<GenClassifier>` `getGenExceptions()`
`GenPackage` `getGenPackage()`
`EList<GenParameter>` `getGenParameters()` Returns the value of the 'Gen Parameters' containment reference list.
`EList<GenTypeParameter>` `getGenTypeParameters()` Returns the value of the 'Gen Type Parameters' containment reference list.
`java.lang.String` `getImportedMetaType()`
`java.lang.String` `getImportedReturnType()` Deprecated. As of EMF 2.1, use `getImportedType(GenClass)` instead.
`java.lang.String` `getInvariantExpression(java.lang.String indentation)`
`java.lang.String` `getModelInfo()`
`java.lang.String` `getName()`
`java.lang.String` `getObjectReturnType()` Deprecated. As of EMF 2.1, use `getObjectType(GenClass)` instead.
`java.lang.String` `getOperationAccessorName()`
`java.lang.String` `getParameterNames(java.lang.String separator)`
`java.lang.String` `getParameters()` Deprecated.
`java.lang.String` `getParameters(GenClass context)`
`java.lang.String` `getParametersArray(GenClass context)`
`java.lang.String` `getParameterTypes(java.lang.String separator)`
`java.lang.String` `getParameterTypes(java.lang.String separator, boolean qualified)`
`java.lang.String` `getQualifiedOperationAccessor()`
`java.lang.String` `getQualifiedOperationAccessorName()`
`java.lang.String` `getReturnType()` Deprecated. As of EMF 2.1, use `getType(GenClass)` instead.
`java.lang.String` `getReturnTypeClassifier()` Deprecated. As of EMF 2.1, use `getTypeClassifierAccessorName` instead.
`GenPackage` `getReturnTypeGenPackage()` Deprecated. As of EMF 2.1, use `getTypeGenPackage` instead.
`java.lang.String` `getThrows()` Deprecated.
`java.lang.String` `getThrows(GenClass context)`
`java.lang.String` `getTypeParameters(GenClass context)`
`java.lang.String` `getValidationDelegate()`
`boolean` `hasBody()`
`boolean` `hasGenericExceptions()`
`boolean` `hasInvariantExpression()`
`boolean` `hasInvocationDelegate()` Returns whether this operation is implemented with a registered invocation delegate.
`boolean` `hasParameterDocumentation()`
`void` `initialize(EOperation eOperation)`
`boolean` `isInvariant()`
`boolean` `isOverrideOf(GenClass context, GenOperation genOperation)`
`boolean` `isOverrideOf(GenOperation genOperation)` Deprecated.
`boolean` `isPrimitiveReturnType()` Deprecated. As of EMF 2.1, use `isPrimitiveType` instead.
`boolean` `isSuppressedVisibility()`
`boolean` `isVoid()`
`boolean` `reconcile(GenOperation oldGenOperationVersion)`
`void` `setEcoreOperation(EOperation value)` Sets the value of the '`Ecore Operation`' reference
`void` `setGenClass(GenClass value)` Sets the value of the '`Gen Class`' container reference

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenTypedElement

`getEcoreModelElement, getEffectiveComplianceLevel, getEObjectCast, getGenClassType, getGenDataTypeType, getGenEnumType, getImportedEffectiveFeatureMapWrapperClass, getImportedEffectiveFeatureMapWrapperInternalInterface, getImportedInternalType, getImportedInternalType, getImportedMapEntryType, getImportedMapKeyType, getImportedMapTemplateArguments, getImportedMapValueType, getImportedType, getImportedType, getInternalTypeCast, getListItemType, getListItemType, getListTemplateArguments, getLowerBound, getMapEntryTypeGenClass, getMapGenClass, getMapItemType, getNonEObjectInternalTypeCast, getNonEObjectInternalTypeCast, getObjectType, getObjectType, getOrderedFlag, getPrimitiveValueFunction, getQualifiedListItemType, getQualifiedListItemType, getRawBoundType, getRawImportedBoundType, getRawImportedType, getRawListItemType, getRawType, getRawTypeCast, getType, getType, getTypeClassifier, getTypeClassifierAccessorName, getTypeGenClass, getTypeGenClassifier, getTypeGenDataType, getTypeGenEnum, getTypeGenPackage, getUniqueFlag, getUpperBound, hasGenericType, isBooleanType, isEffectiveSuppressEMFTypes, isEnumBasedType, isEnumType, isFeatureMapType, isFeatureMapWrapped, isListDataType, isListType, isMapType, isPrimitiveType, isStringBasedType, isStringType, isUncheckedCast, isUncheckedCast, isUnique, isWrappedFeatureMapType`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getGenClass

    GenClass getGenClass()

  Returns the value of the 'Gen Class' container reference. It is bidirectional and its opposite is '`Gen Operations`'.

  Returns:
    the value of the 'Gen Class' container reference.
  See Also:
    `setGenClass(GenClass)`, `GenModelPackage.getGenOperation_GenClass()`, `GenClass.getGenOperations()`

### setGenClass

    void setGenClass(GenClass value)

  Sets the value of the '`Gen Class`' container reference.

  Parameters:
    `value` - the new value of the 'Gen Class' container reference.
  See Also:
    `getGenClass()`

### getEcoreOperation

    EOperation getEcoreOperation()

  Returns the value of the 'Ecore Operation' reference.

  Returns:
    the value of the 'Ecore Operation' reference.
  See Also:
    `setEcoreOperation(EOperation)`, `GenModelPackage.getGenOperation_EcoreOperation()`

### setEcoreOperation

    void setEcoreOperation(EOperation value)

  Sets the value of the '`Ecore Operation`' reference.

  Parameters:
    `value` - the new value of the 'Ecore Operation' reference.
  See Also:
    `getEcoreOperation()`

### getGenParameters

    EList<GenParameter> getGenParameters()

  Returns the value of the 'Gen Parameters' containment reference list. The list contents are of type `GenParameter`. It is bidirectional and its opposite is '`Gen Operation`'.

  Returns:
    the value of the 'Gen Parameters' containment reference list.
  See Also:
    `GenModelPackage.getGenOperation_GenParameters()`, `GenParameter.getGenOperation()`

### getGenTypeParameters

    EList<GenTypeParameter> getGenTypeParameters()

  Returns the value of the 'Gen Type Parameters' containment reference list. The list contents are of type `GenTypeParameter`.

  Returns:
    the value of the 'Gen Type Parameters' containment reference list.
  Since:
    2.3
  See Also:
    `GenModelPackage.getGenOperation_GenTypeParameters()`

### getName

    java.lang.String getName()

### getCapName

    java.lang.String getCapName()

### getFormattedName

    java.lang.String getFormattedName()

### getOperationAccessorName

    java.lang.String getOperationAccessorName()

  Since:
    2.6

### getQualifiedOperationAccessorName

    java.lang.String getQualifiedOperationAccessorName()

  Since:
    2.6

### getQualifiedOperationAccessor

    java.lang.String getQualifiedOperationAccessor()

  Since:
    2.6

### isVoid

    boolean isVoid()

### getReturnTypeClassifier

    @Deprecated
    java.lang.String getReturnTypeClassifier()

  Deprecated. As of EMF 2.1, use `getTypeClassifierAccessorName` instead.

### getReturnTypeGenPackage

    @Deprecated
    GenPackage getReturnTypeGenPackage()

  Deprecated. As of EMF 2.1, use `getTypeGenPackage` instead.

### getReturnType

    @Deprecated
    java.lang.String getReturnType()

  Deprecated. As of EMF 2.1, use `getType(GenClass)` instead.

### getImportedReturnType

    @Deprecated
    java.lang.String getImportedReturnType()

  Deprecated. As of EMF 2.1, use `getImportedType(GenClass)` instead.

### getObjectReturnType

    @Deprecated
    java.lang.String getObjectReturnType()

  Deprecated. As of EMF 2.1, use `getObjectType(GenClass)` instead.

### isPrimitiveReturnType

    @Deprecated
    boolean isPrimitiveReturnType()

  Deprecated. As of EMF 2.1, use `isPrimitiveType` instead.

### getParameters

    java.lang.String getParameters(GenClass context)

  Since:
    2.3

### getParameters

    @Deprecated
    java.lang.String getParameters()

  Deprecated.

  Use `getParameters(GenClass)` with either `null` for erasing type parameter references or a `GenClass` context representing potential type substitutions for type parameter references. By default, this will just do `getParameters(getGenClass())`.

  See Also:
    `getParameters(GenClass)`

### getParameterTypes

    java.lang.String getParameterTypes(java.lang.String separator)

### getParameterTypes

    java.lang.String getParameterTypes(java.lang.String separator,
                                       boolean qualified)

### getParameterNames

    java.lang.String getParameterNames(java.lang.String separator)

### getParametersArray

    java.lang.String getParametersArray(GenClass context)

  Since:
    2.6

### getImportedMetaType

    java.lang.String getImportedMetaType()

### getGenPackage

    GenPackage getGenPackage()

### initialize

    void initialize(EOperation eOperation)

### getModelInfo

    java.lang.String getModelInfo()

### reconcile

    boolean reconcile(GenOperation oldGenOperationVersion)

### hasBody

    boolean hasBody()

### getBody

    java.lang.String getBody(java.lang.String indentation)

### hasInvariantExpression

    boolean hasInvariantExpression()

  Since:
    2.6

### getInvariantExpression

    java.lang.String getInvariantExpression(java.lang.String indentation)

  Since:
    2.6

### getValidationDelegate

    java.lang.String getValidationDelegate()

  Since:
    2.6

### getGenExceptions

    java.util.List<GenClassifier> getGenExceptions()

### getThrows

    java.lang.String getThrows(GenClass context)

  Since:
    2.3

### getThrows

    @Deprecated
    java.lang.String getThrows()

  Deprecated.

  Use `getThrows(GenClass)` with either `null` for erasing type parameter references or a `GenClass` context representing potential type substitutions for type parameter references. By default, this will just do `getThrows(getGenClass())`.

  See Also:
    `getThrows(GenClass)`

### isInvariant

    boolean isInvariant()

### isOverrideOf

    boolean isOverrideOf(GenClass context,
                         GenOperation genOperation)

  Since:
    2.3

### isOverrideOf

    @Deprecated
    boolean isOverrideOf(GenOperation genOperation)

  Deprecated.

  Use `isOverrideOf(GenClass, GenOperation)` with either `null` for erasing type parameter references or a `GenClass` context representing potential type substitutions for type parameter references. By default, this will just do `isOverrideOf(getGenClass(), genOperation)`.

  See Also:
    `isOverrideOf(GenClass, GenOperation)`

### getTypeParameters

    java.lang.String getTypeParameters(GenClass context)

  Since:
    2.3

### hasGenericExceptions

    boolean hasGenericExceptions()

  Since:
    2.3

### hasParameterDocumentation

    boolean hasParameterDocumentation()

  Since:
    2.3

### isSuppressedVisibility

    boolean isSuppressedVisibility()

  Since:
    2.4

### hasInvocationDelegate

    boolean hasInvocationDelegate()

  Returns whether this operation is implemented with a registered invocation delegate.

  Since:
    2.6

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.